flex-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Brady Kelley (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLEX-34930) Flex 4.14.1 dependencies not downloading. Not recognized as a valid sdk.
Date Fri, 11 Sep 2015 21:24:46 GMT

    [ https://issues.apache.org/jira/browse/FLEX-34930?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14741559#comment-14741559
] 

Brady Kelley commented on FLEX-34930:
-------------------------------------

Flex 3.14.1, AIR 17

I have also tried with AIR 18 as well. 

> Flex 4.14.1 dependencies not downloading.  Not recognized as a valid sdk.
> -------------------------------------------------------------------------
>
>                 Key: FLEX-34930
>                 URL: https://issues.apache.org/jira/browse/FLEX-34930
>             Project: Apache Flex
>          Issue Type: Bug
>    Affects Versions: Apache Flex 4.14.1
>         Environment: Windows 8 (64 bit), Flash Builder 4.7 (64 bit)
>            Reporter: Brady Kelley
>
> I have not been able to get a working copy of Flex 4.14.1.  Every time I use the installer
to download the sdk (with all the required and optional dependencies) I get missing adt problems,
when I add the adt.jar and adt.bat to the correct folders from a previous flex sdk, Flash
builder reports that it is not a valid sdk.  
> So, I decided to skip using the installer and just download the binaries.  I downloaded
the windows binary, confirmed the hash, and unzipped the contents.  As per instructions on
http://flex.apache.org/download-binaries.html I ran 'ant thirdparty-downloads' and it began
downloading the dependencies.As it went through downloading and installing the dependencies
I ran into this stack:
> java.io.FileNotFoundException: C:\Program Files (x86)\Apache Flex\sdks\FLEX 4.14.1\modules\build.xml
(The system cannot find the file specified)
>         at java.io.FileInputStream.open(Native Method)
>         at java.io.FileInputStream.<init>(FileInputStream.java:146)
>         at org.apache.tools.ant.helper.ProjectHelper2.parse(ProjectHelper2.java:250)
>         at org.apache.tools.ant.helper.ProjectHelper2.parse(ProjectHelper2.java:178)
>         at org.apache.tools.ant.ProjectHelper.configureProject(ProjectHelper.java:93)
>         at org.apache.tools.ant.taskdefs.Ant.execute(Ant.java:392)
>         at org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:292)
>         at sun.reflect.GeneratedMethodAccessor4.invoke(Unknown Source)
>         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
>         at java.lang.reflect.Method.invoke(Method.java:606)
>         at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:106)
>         at org.apache.tools.ant.Task.perform(Task.java:348)
>         at org.apache.tools.ant.Target.execute(Target.java:435)
>         at org.apache.tools.ant.Target.performTasks(Target.java:456)
>         at org.apache.tools.ant.Project.executeSortedTargets(Project.java:1393)
>         at org.apache.tools.ant.Project.executeTarget(Project.java:1364)
>         at org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:41)
>         at org.apache.tools.ant.Project.executeTargets(Project.java:1248)
>         at org.apache.tools.ant.Main.runBuild(Main.java:851)
>         at org.apache.tools.ant.Main.startAnt(Main.java:235)
>         at org.apache.tools.ant.launch.Launcher.run(Launcher.java:280)
>         at org.apache.tools.ant.launch.Launcher.main(Launcher.java:109)
> So as of now I cannot get a working 4.14.1 sdk with the dependencies we require.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message